<template>
  <div id="completed-signs">
    <h1>Completed Signs</h1>
    <p>Signs for the following shops have been completed:</p>
    <ul>
      <li v-if="completedShops.length == 0">No completed signs.</li>
      <li v-else v-for="(shop, index) in completedShops" :key="index">
        {{shop}}
      </li>
    </ul>
</div>
</template>

<script>
export default {

  data(){
    return {
      completedShops:[],
      intervalID: ''
    }
  },
  methods:{
    getCompletedShops(){
      app.api.Get("sign_and_print/getcompletedsigns/" + app.session.data.id,)
      .then( response => {
        this.completedShops = response;
      })
      .catch( x => app.Message( x.error, "error" ));
    },
    poller() {
      this.intervalID = setInterval(() => {
        this.getCompletedShops();
      }, 10000);
    }
  },
  mounted:function(){
    this.getCompletedShops();
    this.poller();
  },
  destroyed: function() {
    clearInterval(this.intervalID);
  },
}
</script>

<style>

</style>
